#include <syscall.h>

#define __KERNEL__ 
#include <sys/msg.h>

static inline
_syscall5(int,ipc,int,call,int,first,int,second,int,third,void *,ptr)

int
msgrcv (int msqid, struct msgbuf *msgp, int msgsz, long msgtyp, int msgflg)
{
    struct ipc_kludge tmp; 
    tmp.msgp = msgp;
    tmp.msgtyp = msgtyp; 
    return ipc (MSGRCV, msqid, msgsz, msgflg, &tmp);
}



